### Method

# Ggit Index write_tree

#### Declaration [src]

    GgitOId*
    ggit_index_write_tree (
      GgitIndex* idx
      GError** error
    )

#### Description [src]

Write a new tree object to disk containing a representation of the current state of the index. The index must be associated to an existing repository and must not contain any files in conflict. You can use the resulting tree to for instance create a commit.

#### Return value

Type: `GgitOId`

A `GgitOId` or `NULL` in case of an error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.